# Class SiapTableLoadDialog

java.lang.Object
uk.ac.starlink.table.gui.AbstractTableLoadDialog
uk.ac.starlink.vo.RegistryServiceTableLoadDialog
uk.ac.starlink.vo.DalTableLoadDialog
uk.ac.starlink.vo.SkyDalTableLoadDialog
uk.ac.starlink.vo.SiapTableLoadDialog

All Implemented Interfaces:
  `uk.ac.starlink.table.gui.TableLoadDialog, DalLoader`

public class SiapTableLoadDialog extends SkyDalTableLoadDialog
Table load dialogue for retrieving the result of a SIAP query. SIAP services are obtained from a registry.

Since:
  5 Dec 2005
Author:
  Mark Taylor (Starlink)
See Also:
  - SIA

## Constructor Summary

Constructors
Constructor
Description
`SiapTableLoadDialog()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected Component`
`createQueryComponent()`
`uk.ac.starlink.table.gui.TableLoader`
`createTableLoader()`
`SiaFormatOption`
`getFormat()`
Returns the format option selected.
`JComboBox<Object>`
`getFormatSelector()`
Returns the format selector component.
`SiaVersion`
`getSiaVersion()`
Returns the SIA version selected.
`double`
`getSizeDeg()`
Returns the size in degrees selected.
`JComboBox<SiaVersion>`
`getVersionSelector()`
Returns the SIA version selector component.

### Methods inherited from class SkyDalTableLoadDialog

`acceptSkyPosition, getQuerySummary, getSkyEntry`

### Methods inherited from class DalTableLoadDialog

`checkUrl, getCapabilities, getMetadata, getResourceMetadata, getServiceUrl, getServiceUrlBox, getServiceUrlField, isReady, setServiceUrl`

### Methods inherited from class RegistryServiceTableLoadDialog

`acceptResourceIdList, getControlBox, getQueryFactory, getRegistryMenuItems, getRegistryPanel`

### Methods inherited from class uk.ac.starlink.table.gui.AbstractTableLoadDialog

`addToolbarAction, asIOException, configure, createFormatSelector, getDescription, getIcon, getMenus, getName, getQueryComponent, getSelectedFormat, getSubmitAction, getToolbarActions, isAvailable, isComponentShowing, setIcon, setIconUrl, setMenus, setToolbarActions, submit, updateReady`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface DalLoader

`acceptResourceIdList, getMenus, getRegistryPanel, setMenus`

## Constructor Details

### SiapTableLoadDialog

public SiapTableLoadDialog()
Constructor.

## Method Details

### createQueryComponent

protected Component createQueryComponent()

Overrides:
  `createQueryComponent` in class `SkyDalTableLoadDialog`

### createTableLoader

public uk.ac.starlink.table.gui.TableLoader createTableLoader()

### getSiaVersion

public SiaVersion getSiaVersion()
Returns the SIA version selected.

Returns:
  SIA version

### getFormat

public SiaFormatOption getFormat()
Returns the format option selected.

Returns:
  SIA format

### getSizeDeg

public double getSizeDeg()
Returns the size in degrees selected.

Returns:
  requested size in degrees

### getFormatSelector

public JComboBox<Object> getFormatSelector()
Returns the format selector component.

Returns:
  format selector

### getVersionSelector

public JComboBox<SiaVersion> getVersionSelector()
Returns the SIA version selector component.

Returns:
  version selector